I think I may have altered this some, without updating the header. I
don't remember anymore.
' *************************************************************
' ISOViews.swp - macro recorded on 12/20/01 by Mike J. Wilson
' *************************************************************
' Special thanks to Dennis Kelley and Dan Hanger for tips
Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object
Sub main()
Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc
pi = 4 * Atn(1)
Z = Tan(30 * pi / 180)
X = Atn(Z / Sqr(-Z * Z + 1))
Y = -45 * pi / 180
Part.DeleteNamedView ("TRtFt")
Part.DeleteNamedView ("TRtRr")
Part.DeleteNamedView ("TLftFt")
Part.DeleteNamedView ("TLftRr")
Part.DeleteNamedView ("BRtFt")
Part.DeleteNamedView ("BRtRr")
Part.DeleteNamedView ("BLftFt")
Part.DeleteNamedView ("BLftRr")
Part.ShowNamedView2 "*Front", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TRtFt")
Part.ShowNamedView2 "*Right", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TRtRr")
Part.ShowNamedView2 "*Back", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TLftRr")
Part.ShowNamedView2 "*Left", -1
Part.ActiveView().RotateAboutCenter X, Y
Part.ViewZoomtofit2
Part.NameView ("TLftFt")
Part.ShowNamedView2 "*Front", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BRtFt")
Part.ShowNamedView2 "*Right", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BRtRr")
Part.ShowNamedView2 "*Back", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BLftRr")
Part.ShowNamedView2 "*Left", -1
Part.ActiveView().RotateAboutCenter -X, Y
Part.ViewZoomtofit2
Part.NameView ("BLftFt")
Set Part = Nothing
Set swApp = Nothing
End Sub